WINESERVER(1)

NAME
wineserver - le serveur Wine

SYNOPSIS
wineserver [options]

DESCRIPTION
wineserver est un démon qui fournit à Wine à peu près les mêmes services que le noyau de Windows fournit sous Windows.

wineserver est normalement exécuté automatiquement lorsque wine(1) est démarré, vous ne devriez donc pas vous en préoccuper. Néanmoins, dans certains cas, il peut être utile de démarrer wineserver explicitement avec des options différentes, comme expliqué ci-dessous.

OPTIONS

-d[n]
    Définit le niveau de débogage à n. 0 signifie aucune information de débogage, 1 est le niveau normal et 2 est pour un débogage plus important. Si n n'est pas spécifié, la valeur par défaut est 1. La sortie de débogage sera stderr. wine(1) définit automatiquement le niveau de débogage lorsqu'il démarre wineserver si l'option +server est indiquée dans la variable WINEDEBUG.

-f  Laisse le serveur au premier plan pour un débogage plus aisé, par exemple lorsqu'il est exécuté dans un débogueur.

-h  Affiche un message d'aide.

-k[n]
    Termine le wineserver actuellement exécuté en envoyant optionnellement un signal n. Si aucun signal n'est spécifié, un signal SIGINT est envoyé en premier, puis un signal SIGKILL. L'instance de wineserver qui est terminée est sélectionnée en fonction de la variable d'environnement WINEPREFIX.

-p[n]
    Spécifie le délai de persistance de wineserver ; c'est-à-dire le temps pendant lequel le serveur continuera de tourner après que tous les processus clients auront été terminés. Ceci évite le coût inhérent à l'arrêt puis au redémarrage du serveur lorsque des programmes sont lancés successivement. Le délai d'attente n est exprimé en secondes, la valeur par défaut est 3 secondes. Si n n'est pas spécifié, le serveur reste en permanence.

-v  Affiche les informations sur la version et quitte.

-w  Attend que le wineserver actuellement exécuté se termine.

VARIABLES D'ENVIRONNEMENT

WINEPREFIX
    Si défini, le contenu de cette variable est pris comme le nom du répertoire où wineserver stocke ses données (la valeur par défaut est $HOME/.wine). Tous les processus wine utilisent le même wineserver (c'est-à-dire le même utilisateur) et partages certains éléments comme la base de registre, la mémoire partagée et les objets du noyau. En définissant WINEPREFIX à une valeur différente pour différent processus Wine, il est possible d'exécuter plusieurs sessions de Wine indépendantes.

WINESERVER
    Spécifie le chemin et le nom de l'exécutable wineserver qui sera lancé automatiquement par wine. S'il n'est pas défini, wine essaiera de charger /usr/local/bin/wineserver, et, s'il n'existe pas, il cherchera alors un fichier nommé wineserver dans le chemin et dans quelques autres emplacements potentiels.

FICHIERS

~/.wine
    Répertoire contenant les données utilisateur gérées par wine.

/tmp/.wine-uid
    Le répertoire contenant le connecteur Unix et le fichier cadenas. Ces fichiers sont créés dans un sous-répertoire généré depuis le répertoire WINEPREFIX et des numéros inode.

AUTEURS
L'auteur originel de wineserver est Alexandre Julliard. Beaucoup d'autres personnes ont contribué de nouvelles fonctionnalités et des correction d'anomalies. Référez-vous au fichier Changelog dans la distribution de Wine pour les détails complets.

ANOMALIES
Si vous rencontrez une anomalie, veuillez soumettre un rapport d'anomalie sur http://bugs.winehq.org. (http://bugs.winehq.org)

DISPONIBILITÉ
wineserver fait partie de la distribution de Wine qui est disponible depuis WineHQ, le quartier général des développeurs de Wine, sur http://www.winehq.org/. (http://www.winehq.org/)

VOIR AUSSI
wine(1).